%define	name	cdparanoia
%define	major	0
%define	version	IIIa9.8
%define	release %mkrel 13
%define	fullname %{name}-III-alpha9.8

%define	libname		%mklibname cdda %{major}
%define develname	%mklibname cdda -d

Summary:	Utility to copy digital audio CDs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.xiph.org/paranoia/download/%{fullname}.src.tar.bz2
Patch0:		cdparanoia-III-alpha9.8-includes.patch
Patch1:		cdparanoia-III-alpha9.8-cputoolize.patch
Patch2:		cdparanoia-II-alpha9.8-gcc3.4-fix.patch
URL:		http://www.xiph.org/paranoia/ 
License:	GPLv2
Group:		Sound
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This CDDA reader distribution ('cdparanoia') reads audio from the CDROM
directly as data, with no analog step between, and writes the data to a file
or pipe as .wav, .aifc or as raw 16 bit linear PCM.

cdparanoia is a complete rewrite of Heiko Eissfeldt's 'cdda2wav' program,
and generally is much better at succeeding to read difficult discs with
cheap drives.

%package -n	%{libname}
Summary:	Libraries for cdparanoia
Group:		Sound

%description -n	%{libname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%package -n	%{develname}
Summary:	Development libraries for cdparanoia
Group:		Development/C
Provides:	libcdda-devel = %{version}
Provides:	cdda-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname cdda 0 -d}

%description -n	%{develname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%prep
%setup -q -n %{fullname}
%patch0 -p1 -b .includes
%patch1 -p1 -b .cputoolize
%patch2 -p1 -b .gcc34
autoconf

%build
rm -rf $RPM_BUILD_ROOT
%configure --libdir=%{_libdir}/cdparanoia
# (gb) don't use fortify, this package has ugly abuse of memcpy() that we can't cope with if it's a macro
# XXX would be better to define scsi cmds constants instead...
export RPM_OPT_FLAGS="$(echo %optflags |sed s/-D_FORTIFY_SOURCE=.//)"
make OPT="-fsigned-char -finline-functions -Dsize16='short' -Dsize32='int' $RPM_OPT_FLAGS"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install -m644 cdparanoia.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README FAQ.txt
%attr(755,root,root) %{_bindir}/cdparanoia
%attr(644,root,root) %{_mandir}/man1/cdparanoia.1*

%files -n %{libname}
%defattr(644,root,root,755)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> IIIa9.8-13mdv2008.1
+ Revision: 136289
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Adam Williamson <awilliamson@mandriva.com> IIIa9.8-13mdv2008.0
+ Revision: 83222
- rebuild for 2008
- don't package license
- drop unneeded Buildrequires autoconf2.1
- Fedora license policy
- new devel policy


* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> IIIa9.8-12mdv2007.0
+ Revision: 108123
- Import cdparanoia

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> IIIa9.8-12mdv2007.1
- Rebuild

* Tue Mar 21 2006 Gtz Waschk <waschk@mandriva.org> IIIa9.8-11mdk
* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> IIIa9.8-11mdk
- Rebuild
- use mkrel

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 9.8-10mdk
- don't build with fortify

* Wed Jun 09 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> IIIa9.8-9mdk
- fix gcc-3.4 build (P2)
- buildrequires
- cosmetics

